s = serial('COM7', 'BaudRate', 115200);
s.Terminator = 13;
fopen(s);
pause(2);
fprintf(s, '');
fprintf('Reading data');
done = 0;
data = [];
while done==0
    line = strtrim(fgetl(s));
    if length(line)==0
        done = 1;
        fprintf('\n');
    else
        temp = textscan(line, '%f', 'Delimiter', ',');
        data = [data; temp{1}'];
        if mod(size(data, 1), 1000)==0
            fprintf('.');
        end
    end
end
fclose(s);
clear done line temp s;
